Summary: GNU Binary Utility Development Utilities
Name: binutils
Version: 2.10
Release: 1_nw1
Copyright: GPL
Group: Development/Tools
Source: ftp://ftp.futuretv.com/pub/phil/binutils-%{version}.tar.gz
Patch0: binutils-macros.patch
Patch1: binutils-armregs.patch
Buildroot: /var/tmp/binutils-root
Summary(de): GNU Binary Utility Development Utilities
Summary(fr): Utilitaires de dveloppement binaire de GNU
Summary(tr): GNU gelitirme aralar

%description
Binutils is a collection of utilities necessary for compiling programs. It
includes the assembler and linker, as well as a number of other
miscellaneous programs for dealing with executable formats.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
NumCPUs=`grep -i BogoMIPS /proc/cpuinfo | wc -l | xargs expr`
echo "MAKE=make -j $NumCPUs" > makefile
echo "include Makefile" >> makefile
./configure --prefix=/usr --enable-shared
%ifarch ppc
  sed -e "s!LIB_PATH =!export LIB_PATH = /lib:/usr/lib:/usr/local/lib!" \
      < ld/Makefile >ld/Makefile.tmp
  mv -f ld/Makefile.tmp ld/Makefile
%endif
make tooldir=/usr all info

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr tooldir=$RPM_BUILD_ROOT/usr/ install install-info
./binutils/strip-new $RPM_BUILD_ROOT/usr/bin/*
gzip -q9f $RPM_BUILD_ROOT/usr/info/*.info*

## Get rid of that arch-specific directory
#rm -rf $RPM_BUILD_ROOT/usr/lib/bin

#install -m 644 libiberty/libiberty.a $RPM_BUILD_ROOT/usr/lib
install -m 644 include/libiberty.h $RPM_BUILD_ROOT/usr/include

chmod +x $RPM_BUILD_ROOT/usr/lib/lib*.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info --info-dir=/usr/info /usr/info/as.info.gz
/sbin/install-info --info-dir=/usr/info /usr/info/bfd.info.gz
/sbin/install-info --info-dir=/usr/info /usr/info/binutils.info.gz
/sbin/install-info --info-dir=/usr/info /usr/info/gasp.info.gz
/sbin/install-info --info-dir=/usr/info /usr/info/gprof.info.gz
/sbin/install-info --info-dir=/usr/info /usr/info/ld.info.gz
/sbin/install-info --info-dir=/usr/info /usr/info/standards.info.gz

%preun
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/as.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/bfd.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/binutils.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/gasp.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/gprof.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/ld.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/standards.info.gz
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
/usr/bin/*
/usr/man/man1/*
/usr/include/*
/usr/lib/*
/usr/info/*info*

%changelog
* Thu Jun 22 2000  <andrewm@netwinder.org>
- updated to release 2.10

* Mon Jun 12 2000  <scottb@netwinder.org>
- updated to 2.10 release candidate 3
- added patch for string expansion in macro args
- added nw1 to release

* Mon Jun 5 2000  <scottb@netwinder.org>
- updated to 2.10 release candidate 2

* Wed May 31 2000  <scottb@netwinder.org>
- updated to 2.10 release candidate 1

* Fri May 05 2000  <scottb@netwinder.org>
- updated to 2.9.5.0.41.

* Mon Apr 24 2000  <scottb@netwinder.org>
- updated to 2.9.5.0.37.

* Fri Mar 31 2000  <scottb@netwinder.org>
- updated to 2.9.5.0.32.
- removed patch to gas to fix bug detecting overflow in pc relative branches

* Tue Mar 21 2000  <scottb@netwinder.org>
- updated to 2.9.5.0.31.
- added patch to gas to fix bug detecting overflow in pc relative branches

* Wed Mar 15 2000  <scottb@netwinder.org>
- updated to 2.9.5.0.29.

* Thu Dec  2 1999 <hjl@gnu.org>
- updated to 2.9.5.0.22.

* Mon Nov 22 1999 <hjl@gnu.org>
- updated to 2.9.5.0.21.

* Thu Nov  4 1999 <hjl@gnu.org>
- updated to 2.9.5.0.19.

* Tue Oct 12 1999 <hjl@gnu.org>
- updated to 2.9.5.0.16.

* Mon Sep 27 1999 <hjl@gnu.org>
- updated to 2.9.5.0.14.

* Wed Sep 22 1999 <hjl@gnu.org>
- updated to 2.9.5.0.13.

* Fri Sep 10 1999 <hjl@gnu.org>
- updated to 2.9.5.0.12.

* Mon Sep  6 1999 <hjl@gnu.org>
- updated to 2.9.5.0.11.

* Tue Aug 31 1999 <hjl@gnu.org>
- updated to 2.9.5.0.10.

* Fri Aug 27 1999 <hjl@gnu.org>
- updated to 2.9.5.0.9.

* Sat Aug 21 1999 <hjl@gnu.org>
- updated to 2.9.5.0.8.

* Fri Aug 13 1999 <hjl@gnu.org>
- updated to 2.9.5.0.7.

* Mon Aug  9 1999 <hjl@gnu.org>
- updated to 2.9.5.0.6.

* Fri Aug  6 1999 <hjl@gnu.org>
- updated to 2.9.5.0.5.

* Mon Aug  2 1999 <hjl@gnu.org>
- updated to 2.9.5.0.4.

* Mon Jul 19 1999 <hjl@gnu.org>
- updated to 2.9.5.0.3.

* Sat Jul 10 1999 <hjl@gnu.org>
- updated to 2.9.4.0.8.

* Sat Jun 26 1999 <hjl@gnu.org>
- updated to 2.9.4.0.7.

* Sun Jun 20 1999 <hjl@gnu.org>
- updated to 2.9.4.0.6.

* Sat Jun 12 1999 <hjl@gnu.org>
- updated to 2.9.4.0.5.

* Fri Jun 11 1999 <hjl@gnu.org>
- updated to 2.9.4.0.4.

* Mon Jun  7 1999 <hjl@gnu.org>
- updated to 2.9.4.0.3.

* Sun Jun  6 1999 <hjl@gnu.org>
- updated to 2.9.4.0.2.

* Sat Jun  5 1999 <hjl@gnu.org>
- updated to 2.9.4.0.1.

* Sat May 22 1999 <hjl@gnu.org>
- updated to 2.9.1.0.25.

* Wed Apr 21 1999 <hjl@gnu.org>
- updated to 2.9.1.0.24.

* Wed Mar 31 1999 hjl <hjl@gnu.org>
- updated to 2.9.1.0.23.

* Wed Feb 26 1999 hjl <hjl@gnu.org>
- updated to 2.9.1.0.22b.
